Page MenuHomePhabricator

Catchable fatal error: Argument 2 passed to {closure}() must be an array, null given, called in LocalRepo.php on line 282 and defined at LocalRepo.php on line 261
Closed, ResolvedPublic

Description

[17-Dec-2013 19:20:41] Catchable fatal error: Argument 2 passed to {closure}() must be an array, null given, called in /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/LocalRepo.php on line 282 and defined at /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/LocalRepo.php on line 261
Server: mw1207
Method: GET
URL: http://en.wiktionary.org/w/api.php?action=query&titles=File%3Aen-us-calamity.ogg&prop=imageinfo&iiprop=url&format=json
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/LocalRepo.php(261): {closure}()
#1 /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/LocalRepo.php(282): {closure}(Object(ForeignDBFile), NULL)
#2 /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/LocalRepo.php(301): {closure}(Object(ResultWrapper), Array, Array)
#3 /usr/local/apache/common-local/php-1.23wmf7/includes/filerepo/RepoGroup.php(221): LocalRepo->findFiles(Array, 0)
#4 /usr/local/apache/common-local/php-1.23wmf7/includes/api/ApiQueryImageInfo.php(86): RepoGroup->findFiles(Array)
#5 /usr/local/apache/common-local/php-1.23wmf7/includes/api/ApiQuery.php(278): ApiQueryImageInfo->execute()
#6 /usr/local/apache/common-local/php-1.23wmf7/includes/api/ApiMain.php(862): ApiQuery->execute()
#7 /usr/local/apache/common-local/php-1.23wmf7/includes/api/ApiMain.php(387): ApiMain->executeAction()
#8 /usr/local/apache/common-local/php-1.23wmf7/includes/api/ApiMain.php(358): ApiMain->executeActionWithErrorHandling()
#9 /usr/local/apache/common-local/php-1.23wmf7/api.php(76): ApiMain->execute()
#10 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')
#11 {main}


Version: unspecified
Severity: normal

Details

Reference
bz58587

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:29 AM
bzimport set Reference to bz58587.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Dec 17 2013, 7:25 PM

Change 102288 had a related patch set uploaded by Reedy:
Fix fatal in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102288

Change 102290 had a related patch set uploaded by Reedy:
Fix fatal in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102290

Change 102290 merged by Reedy:
Fix fatal in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102290

Change 102303 had a related patch set uploaded by Aaron Schulz:
Fixed error in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102303

Change 102288 merged by jenkins-bot:
Fix fatal in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102288

Change 102303 merged by jenkins-bot:
Fixed error in LocalRepo::findFiles()

https://gerrit.wikimedia.org/r/102303

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:33 AM